complexType "DividendPeriodPayment"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-dividend-swaps-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedStartDate, unadjustedEndDate, dateAdjustments, underlyerReference?, fixedStrike, paymentDate, valuationDate?
</...>

Content Model Elements (7):

  dateAdjustments (defined in DividendPeriod complexType),
  fixedStrike,
  paymentDate (in dividendPeriod in dividendLeg),
  unadjustedEndDate (defined in DividendPeriod complexType),
  unadjustedStartDate (defined in DividendPeriod complexType),
  underlyerReference (defined in DividendPeriod complexType),
  valuationDate (in dividendPeriod in dividendLeg)

All Direct / Indirect Based Elements (1):

  dividendPeriod (in dividendLeg)

Known Usage Locations

- As direct type of elements (1):
  dividendPeriod (in dividendLeg)

Annotation
A time bounded dividend period, with fixed strike and a dividend payment date per period.
Type Definition Detail

Type Derivation Tree DividendPeriod (extension) DividendPeriodPayment

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="DividendPeriodPayment"> <xsd:complexContent> <xsd:extension base="DividendPeriod"> <xsd:sequence> <xsd:element name="fixedStrike" type="PositiveDecimal"/> <xsd:element name="paymentDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="valuationDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/7)
fixedStrike

  Type: | PositiveDecimal, simple content

  Fixed strike.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedStrike" type="PositiveDecimal"/>

paymentDate

  Type: | AdjustableOrRelativeDate, complex content

  Dividend period amount payment date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentDate" type="AdjustableOrRelativeDate"/>

valuationDate

  Type: | AdjustableOrRelativeDate, complex content

  Dividend period amount valuation date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.